ubuntu-bug ubiquity causes a traceback due to an UnboundLocalError

Bug #837048 reported by Jeff Lane on 2011-08-29
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
apport (Ubuntu)
High
Martin Pitt

Bug Description

Found a problem in Oneiric Beta 1 with Ubiquity and filed a bug using 'ubuntu-bug ubiquity' However, while I WAS able to file the bug, I discovered that apport threw a traceback due to a variable issue in the apport hooks for Ubiquity. Note, this may actually need to be assigned to Ubiquity rather than Apport.

Traceback that was dumped to terminal:
ubuntu@ubuntu:~$ ubuntu-bug ubiquity
ERROR: hook /usr/share/apport/package-hooks//source_ubiquity.py crashed:
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/apport/report.py", line 663, in add_hooks_info
    symb['add_info'](self, ui)
  File "/usr/share/apport/package-hooks//source_ubiquity.py", line 91, in add_info
    report['Tags'] += ' ubiquity-%s' % version
UnboundLocalError: local variable 'version' referenced before assignment
failed to create drawable

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: apport 1.22-0ubuntu2
ProcVersionSignature: Ubuntu 3.0.0-9.14-generic 3.0.3
Uname: Linux 3.0.0-9-generic x86_64
ApportLog:
 ERROR: apport (pid 3038) Mon Aug 29 22:08:19 2011: called for pid 2973, signal 11
 ERROR: apport (pid 3038) Mon Aug 29 22:08:19 2011: executable: /usr/bin/unity-2d-panel (command line "unity-2d-panel")
 ERROR: apport (pid 3038) Mon Aug 29 22:08:23 2011: wrote report /var/crash/_usr_bin_unity-2d-panel.999.crash
Architecture: amd64
CasperVersion: 1.279
CrashReports:
 600:0:0:312185:2011-08-29 22:09:31.124123000 +0000:2011-08-29 22:09:32.124123000 +0000:/var/crash/_usr_share_jockey_jockey-backend.0.crash
 600:999:999:1060779:2011-08-29 22:11:02.234120000 +0000:2011-08-29 22:11:03.234120000 +0000:/var/crash/_usr_bin_unity-2d-panel.999.crash
 600:0:0:100034:2011-08-29 22:20:14.954103000 +0000:2011-08-29 22:20:15.954103000 +0000:/var/crash/_usr_bin_ubiquity-dm.0.crash
Date: Mon Aug 29 22:25:20 2011
LiveMediaBuild: Ubuntu 11.10 "Oneiric Ocelot" - Alpha amd64 (20110829)
PackageArchitecture: all
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: apport
UpgradeStatus: No upgrade log present (probably fresh install)

Jeff Lane (bladernr) wrote :
tags: added: iso-testing
Martin Pitt (pitti) on 2011-08-30
Changed in apport (Ubuntu):
status: New → Fix Committed
assignee: nobody → Martin Pitt (pitti)
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apport - 1.22-0ubuntu3

---------------
apport (1.22-0ubuntu3) oneiric; urgency=low

  * data/package-hooks/source_ubiquity.py: Fix crash on undefined 'version'.
    (LP: #837048)
 -- Martin Pitt <email address hidden> Tue, 30 Aug 2011 06:35:43 +0200

Changed in apport (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers